mbedtls_x509_csr Struct Reference
X.509 module

`#include <x509_csr.h>`

Collaboration diagram for mbedtls_x509_csr:
[legend]

## Data Fields

mbedtls_x509_buf | raw
mbedtls_x509_buf | cri
int | version
mbedtls_x509_buf | subject_raw
mbedtls_x509_name | subject
mbedtls_pk_context | pk
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | sig
mbedtls_md_type_t | sig_md
mbedtls_pk_type_t | sig_pk
void * | sig_opts

## Detailed Description

Certificate Signing Request (CSR) structure.

Definition at line 49 of file x509_csr.h.

The documentation for this struct was generated from the following file:

- x509_csr.h